import{s as si,y as ai,o as oi,n as ri}from"../chunks/scheduler.d6170356.js";import{S as ui,i as gi,g as a,s as n,r as u,A as fi,h as o,f as i,c as s,j as Mt,u as g,x as r,k as d,y as pi,a as l,v as f,d as p,t as c,w as m}from"../chunks/index.fcd4cc08.js";import{T as ci}from"../chunks/Tip.b09c67cf.js";import{C as ve}from"../chunks/CodeBlock.7b16bdef.js";import{H as $,E as mi}from"../chunks/EditOnGithub.da2b595c.js";function hi(Te){let h,I='If you cloned the repository with HTTP, you might be asked to fill your username and password on every push operation. The simplest way to avoid repetition is to <a href="#cloning-repositories">switch to SSH</a>, instead of HTTP. Alternatively, if you have to use HTTP, you might find it helpful to setup a <a href="https://git-scm.com/docs/gitcredentials#_avoiding_repetition" rel="nofollow">git credential helper</a> to autofill your username and password.';return{c(){h=a("p"),h.innerHTML=I},l(w){h=o(w,"P",{"data-svelte-h":!0}),r(h)!=="svelte-19lkcd0"&&(h.innerHTML=I)},m(w,$e){l(w,h,$e)},p:ri,d(w){w&&i(h)}}}function di(Te){let h,I,w,$e,U,Me,P,kt="This beginner-friendly guide will help you get the basic skills you need to create and manage your repository on the Hub. Each section builds on the previous one, so feel free to choose where to start!",ke,j,_e,Z,_t="This document shows how to handle repositories through the web interface as well as through the terminal. There are no requirements if working with the UI. If you want to work with the terminal, please follow these installation instructions.",He,S,Ht='If you do not have <code>git</code> available as a CLI command yet, you will need to <a href="https://git-scm.com/downloads" rel="nofollow">install Git</a> for your platform. You will also need to <a href="https://git-lfs.github.com/" rel="nofollow">install Git LFS</a>, which will be used to handle large files such as images and model weights.',xe,J,xt='To be able to push your code to the Hub, you’ll need to authenticate somehow. The easiest way to do this is by installing the <a href="https://huggingface.co/docs/huggingface_hub/index" rel="nofollow"><code>huggingface_hub</code> CLI</a> and running the login command:',Le,W,Ce,z,Lt="<strong>The content in the Getting Started section of this document is also available as a video!</strong>",Ie,y,Ct,Ue,G,Pe,Y,It="Using the Hub’s web interface you can easily create repositories, add files (even large ones!), explore models, visualize diffs, and much more. There are three kinds of repositories on the Hub, and in this guide you’ll be creating a <strong>model repository</strong> for demonstration purposes. For information on creating and managing models, datasets, and Spaces, refer to their respective documentation.",je,q,Ut='<li>To create a new repository, visit <a href="http://huggingface.co/new" rel="nofollow">huggingface.co/new</a>:</li>',Ze,v,Pt='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/new_repo.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/new_repo-dark.png"/>',Se,b,jt='<li><p>Specify the owner of the repository: this can be either you or any of the organizations you’re affiliated with.</p></li> <li><p>Enter your model’s name. This will also be the name of the repository.</p></li> <li><p>Specify whether you want your model to be public or private.</p></li> <li><p>Specify the license. You can leave the <em>License</em> field blank for now. To learn about licenses, visit the <a href="repositories-licenses"><strong>Licenses</strong></a> documentation.</p></li>',Je,F,Zt="After creating your model repository, you should see a page like this:",We,T,St='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/empty_repo.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/empty_repo-dark.png"/>',ze,V,Jt='Note that the Hub prompts you to create a <em>Model Card</em>, which you can learn about in the <a href="./model-cards"><strong>Model Cards documentation</strong></a>. Including a Model Card in your model repo is best practice, but since we’re only making a test repo at the moment we can skip this.',Ge,B,Ye,R,Wt="To add files to your repository via the web UI, start by selecting the <strong>Files</strong> tab, navigating to the desired directory, and then clicking <strong>Add file</strong>. You’ll be given the option to create a new file or upload a file directly from your computer.",qe,M,zt='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/repositories-add_file.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/repositories-add_file-dark.png"/>',Fe,N,Ve,A,Gt='Choosing to create a new file will take you to the following editor screen, where you can choose a name for your file, add content, and save your file with a message that summarizes your changes. Instead of directly committing the new file to your repo’s <code>main</code> branch, you can select <code>Open as a pull request</code> to create a <a href="./repositories-pull-requests-discussions">Pull Request</a>.',Be,k,Yt='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/repositories-create_file.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/repositories-create_file-dark.png"/>',Re,X,Ne,D,qt="If you choose <em>Upload file</em> you’ll be able to choose a local file to upload, along with a message summarizing your changes to the repo.",Ae,_,Ft='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/repositories-upload_file.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/repositories-upload_file-dark.png"/>',Xe,E,Vt='As with creating new files, you can select <code>Open as a pull request</code> to create a <a href="./repositories-pull-requests-discussions">Pull Request</a> instead of adding your changes directly to the <code>main</code> branch of your repo.',De,Q,Ee,O,Qe,K,Bt="Downloading repositories to your local machine is called <em>cloning</em>. You can use the following commands to load your repo and navigate to it:",Oe,ee,Ke,te,Rt="You can clone over SSH with the following command:",et,ie,tt,le,Nt='You’ll need to add your SSH public key to <a href="https://huggingface.co/settings/keys" rel="nofollow">your user settings</a> to push changes or access private repositories.',it,ne,lt,se,At="Now’s the time, you can add any files you want to the repository! 🔥",nt,ae,Xt="Do you have files larger than 10MB? Those files should be tracked with <code>git-lfs</code>, which you can initialize with:",st,oe,at,re,Dt="Note that if your files are larger than <strong>5GB</strong> you’ll also need to run:",ot,ue,rt,ge,Et="When you use Hugging Face to create a repository, Hugging Face automatically provides a list of common file extensions for common Machine Learning large files in the <code>.gitattributes</code> file, which <code>git-lfs</code> uses to efficiently track changes to your large files. However, you might need to add new extensions if your file types are not already handled. You can do so with <code>git lfs track &quot;*.your_extension&quot;</code>.",ut,fe,gt,pe,Qt="You can use Git to save new files and any changes to already existing files as a bundle of changes called a <em>commit</em>, which can be thought of as a “revision” to your project. To create a commit, you have to <code>add</code> the files to let Git know that we’re planning on saving the changes and then <code>commit</code> those changes. In order to sync the new commit with the Hugging Face Hub, you then <code>push</code> the commit to the Hub.",ft,ce,pt,me,Ot="And you’re done! You can check your repository on Hugging Face with all the recently added files. For example, in the screenshot below the user added a number of files. Note that some files in this example have a size of <code>1.04 GB</code>, so the repo uses Git LFS to track it.",ct,H,Kt='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/repo_with_files.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/repo_with_files-dark.png"/>',mt,x,ht,he,dt,de,ei="Every time you go through the <code>add</code>-<code>commit</code>-<code>push</code> cycle, the repo will keep track of every change you’ve made to your files. The UI allows you to explore the model files and commits and to see the difference (also known as <em>diff</em>) introduced by each commit. To see the history, you can click on the <strong>History: X commits</strong> link.",yt,L,ti='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/repo_history.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/repo_history-dark.png"/>',wt,ye,ii="You can click on an individual commit to see what changes that commit introduced:",$t,C,li='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/explore_history.gif"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/explore_history-dark.gif"/>',vt,we,bt,be,Tt;return U=new $({props:{title:"Getting Started with Repositories",local:"getting-started-with-repositories",headingTag:"h1"}}),j=new $({props:{title:"Requirements",local:"requirements",headingTag:"h2"}}),W=new ve({props:{code:"cHl0aG9uJTIwLW0lMjBwaXAlMjBpbnN0YWxsJTIwaHVnZ2luZ2ZhY2VfaHViJTBBaHVnZ2luZ2ZhY2UtY2xpJTIwbG9naW4=",highlighted:`python -m pip install huggingface_hub
huggingface-cli login`,wrap:!1}}),G=new $({props:{title:"Creating a repository",local:"creating-a-repository",headingTag:"h2"}}),B=new $({props:{title:"Adding files to a repository (Web UI)",local:"adding-files-to-a-repository-web-ui",headingTag:"h2"}}),N=new $({props:{title:"Creating a new file",local:"creating-a-new-file",headingTag:"h3"}}),X=new $({props:{title:"Uploading a file",local:"uploading-a-file",headingTag:"h3"}}),Q=new $({props:{title:"Adding files to a repository (terminal)",local:"terminal",headingTag:"h2"}}),O=new $({props:{title:"Cloning repositories",local:"cloning-repositories",headingTag:"h3"}}),ee=new ve({props:{code:"Z2l0JTIwY2xvbmUlMjBodHRwcyUzQSUyRiUyRmh1Z2dpbmdmYWNlLmNvJTJGJTNDeW91ci11c2VybmFtZSUzRSUyRiUzQ3lvdXItbW9kZWwtbmFtZSUzRSUwQWNkJTIwJTNDeW91ci1tb2RlbC1uYW1lJTNF",highlighted:`git <span class="hljs-built_in">clone</span> https://huggingface.co/&lt;your-username&gt;/&lt;your-model-name&gt;
<span class="hljs-built_in">cd</span> &lt;your-model-name&gt;`,wrap:!1}}),ie=new ve({props:{code:"Z2l0JTIwY2xvbmUlMjBnaXQlNDBoZi5jbyUzQSUzQ3lvdXItdXNlcm5hbWUlM0UlMkYlM0N5b3VyLW1vZGVsLW5hbWUlM0UlMEFjZCUyMCUzQ3lvdXItbW9kZWwtbmFtZSUzRQ==",highlighted:`git <span class="hljs-built_in">clone</span> git@hf.co:&lt;your-username&gt;/&lt;your-model-name&gt;
<span class="hljs-built_in">cd</span> &lt;your-model-name&gt;`,wrap:!1}}),ne=new $({props:{title:"Set up",local:"set-up",headingTag:"h3"}}),oe=new ve({props:{code:"Z2l0JTIwbGZzJTIwaW5zdGFsbA==",highlighted:"git lfs install",wrap:!1}}),ue=new ve({props:{code:"aHVnZ2luZ2ZhY2UtY2xpJTIwbGZzLWVuYWJsZS1sYXJnZWZpbGVzJTIwLg==",highlighted:"huggingface-cli lfs-enable-largefiles .",wrap:!1}}),fe=new $({props:{title:"Pushing files",local:"pushing-files",headingTag:"h3"}}),ce=new ve({props:{code:"JTIzJTIwQ3JlYXRlJTIwYW55JTIwZmlsZXMlMjB5b3UlMjBsaWtlISUyMFRoZW4uLi4lMEFnaXQlMjBhZGQlMjAuJTBBZ2l0JTIwY29tbWl0JTIwLW0lMjAlMjJGaXJzdCUyMG1vZGVsJTIwdmVyc2lvbiUyMiUyMCUyMCUyMyUyMFlvdSUyMGNhbiUyMGNob29zZSUyMGFueSUyMGRlc2NyaXB0aXZlJTIwbWVzc2FnZSUwQWdpdCUyMHB1c2g=",highlighted:`<span class="hljs-comment"># Create any files you like! Then...</span>
git add .
git commit -m <span class="hljs-string">&quot;First model version&quot;</span>  <span class="hljs-comment"># You can choose any descriptive message</span>
git push`,wrap:!1}}),x=new ci({props:{$$slots:{default:[hi]},$$scope:{ctx:Te}}}),he=new $({props:{title:"Viewing a repo’s history",local:"viewing-a-repos-history",headingTag:"h2"}}),we=new mi({props:{source:"https://github.com/huggingface/hub-docs/blob/main/docs/hub/repositories-getting-started.md"}}),{c(){h=a("meta"),I=n(),w=a("p"),$e=n(),u(U.$$.fragment),Me=n(),P=a("p"),P.textContent=kt,ke=n(),u(j.$$.fragment),_e=n(),Z=a("p"),Z.textContent=_t,He=n(),S=a("p"),S.innerHTML=Ht,xe=n(),J=a("p"),J.innerHTML=xt,Le=n(),u(W.$$.fragment),Ce=n(),z=a("p"),z.innerHTML=Lt,Ie=n(),y=a("iframe"),Ue=n(),u(G.$$.fragment),Pe=n(),Y=a("p"),Y.innerHTML=It,je=n(),q=a("ol"),q.innerHTML=Ut,Ze=n(),v=a("div"),v.innerHTML=Pt,Se=n(),b=a("ol"),b.innerHTML=jt,Je=n(),F=a("p"),F.textContent=Zt,We=n(),T=a("div"),T.innerHTML=St,ze=n(),V=a("p"),V.innerHTML=Jt,Ge=n(),u(B.$$.fragment),Ye=n(),R=a("p"),R.innerHTML=Wt,qe=n(),M=a("div"),M.innerHTML=zt,Fe=n(),u(N.$$.fragment),Ve=n(),A=a("p"),A.innerHTML=Gt,Be=n(),k=a("div"),k.innerHTML=Yt,Re=n(),u(X.$$.fragment),Ne=n(),D=a("p"),D.innerHTML=qt,Ae=n(),_=a("div"),_.innerHTML=Ft,Xe=n(),E=a("p"),E.innerHTML=Vt,De=n(),u(Q.$$.fragment),Ee=n(),u(O.$$.fragment),Qe=n(),K=a("p"),K.innerHTML=Bt,Oe=n(),u(ee.$$.fragment),Ke=n(),te=a("p"),te.textContent=Rt,et=n(),u(ie.$$.fragment),tt=n(),le=a("p"),le.innerHTML=Nt,it=n(),u(ne.$$.fragment),lt=n(),se=a("p"),se.textContent=At,nt=n(),ae=a("p"),ae.innerHTML=Xt,st=n(),u(oe.$$.fragment),at=n(),re=a("p"),re.innerHTML=Dt,ot=n(),u(ue.$$.fragment),rt=n(),ge=a("p"),ge.innerHTML=Et,ut=n(),u(fe.$$.fragment),gt=n(),pe=a("p"),pe.innerHTML=Qt,ft=n(),u(ce.$$.fragment),pt=n(),me=a("p"),me.innerHTML=Ot,ct=n(),H=a("div"),H.innerHTML=Kt,mt=n(),u(x.$$.fragment),ht=n(),u(he.$$.fragment),dt=n(),de=a("p"),de.innerHTML=ei,yt=n(),L=a("div"),L.innerHTML=ti,wt=n(),ye=a("p"),ye.textContent=ii,$t=n(),C=a("div"),C.innerHTML=li,vt=n(),u(we.$$.fragment),bt=n(),be=a("p"),this.h()},l(e){const t=fi("svelte-u9bgzb",document.head);h=o(t,"META",{name:!0,content:!0}),t.forEach(i),I=s(e),w=o(e,"P",{}),Mt(w).forEach(i),$e=s(e),g(U.$$.fragment,e),Me=s(e),P=o(e,"P",{"data-svelte-h":!0}),r(P)!=="svelte-18jeh08"&&(P.textContent=kt),ke=s(e),g(j.$$.fragment,e),_e=s(e),Z=o(e,"P",{"data-svelte-h":!0}),r(Z)!=="svelte-jplm0f"&&(Z.textContent=_t),He=s(e),S=o(e,"P",{"data-svelte-h":!0}),r(S)!=="svelte-10onan1"&&(S.innerHTML=Ht),xe=s(e),J=o(e,"P",{"data-svelte-h":!0}),r(J)!=="svelte-10qq2kp"&&(J.innerHTML=xt),Le=s(e),g(W.$$.fragment,e),Ce=s(e),z=o(e,"P",{"data-svelte-h":!0}),r(z)!=="svelte-m84aem"&&(z.innerHTML=Lt),Ie=s(e),y=o(e,"IFRAME",{width:!0,height:!0,src:!0,title:!0,frameborder:!0,allow:!0}),Mt(y).forEach(i),Ue=s(e),g(G.$$.fragment,e),Pe=s(e),Y=o(e,"P",{"data-svelte-h":!0}),r(Y)!=="svelte-9jw57k"&&(Y.innerHTML=It),je=s(e),q=o(e,"OL",{"data-svelte-h":!0}),r(q)!=="svelte-i0pqxh"&&(q.innerHTML=Ut),Ze=s(e),v=o(e,"DIV",{class:!0,"data-svelte-h":!0}),r(v)!=="svelte-1329z6f"&&(v.innerHTML=Pt),Se=s(e),b=o(e,"OL",{start:!0,"data-svelte-h":!0}),r(b)!=="svelte-cmgrh3"&&(b.innerHTML=jt),Je=s(e),F=o(e,"P",{"data-svelte-h":!0}),r(F)!=="svelte-1glo7k3"&&(F.textContent=Zt),We=s(e),T=o(e,"DIV",{class:!0,"data-svelte-h":!0}),r(T)!=="svelte-fylt99"&&(T.innerHTML=St),ze=s(e),V=o(e,"P",{"data-svelte-h":!0}),r(V)!=="svelte-5qfa79"&&(V.innerHTML=Jt),Ge=s(e),g(B.$$.fragment,e),Ye=s(e),R=o(e,"P",{"data-svelte-h":!0}),r(R)!=="svelte-gg40nn"&&(R.innerHTML=Wt),qe=s(e),M=o(e,"DIV",{class:!0,"data-svelte-h":!0}),r(M)!=="svelte-11fhgwf"&&(M.innerHTML=zt),Fe=s(e),g(N.$$.fragment,e),Ve=s(e),A=o(e,"P",{"data-svelte-h":!0}),r(A)!=="svelte-klvs3g"&&(A.innerHTML=Gt),Be=s(e),k=o(e,"DIV",{class:!0,"data-svelte-h":!0}),r(k)!=="svelte-1odm04p"&&(k.innerHTML=Yt),Re=s(e),g(X.$$.fragment,e),Ne=s(e),D=o(e,"P",{"data-svelte-h":!0}),r(D)!=="svelte-1pm9h7b"&&(D.innerHTML=qt),Ae=s(e),_=o(e,"DIV",{class:!0,"data-svelte-h":!0}),r(_)!=="svelte-1nct7w7"&&(_.innerHTML=Ft),Xe=s(e),E=o(e,"P",{"data-svelte-h":!0}),r(E)!=="svelte-1m95obm"&&(E.innerHTML=Vt),De=s(e),g(Q.$$.fragment,e),Ee=s(e),g(O.$$.fragment,e),Qe=s(e),K=o(e,"P",{"data-svelte-h":!0}),r(K)!=="svelte-1q61s0k"&&(K.innerHTML=Bt),Oe=s(e),g(ee.$$.fragment,e),Ke=s(e),te=o(e,"P",{"data-svelte-h":!0}),r(te)!=="svelte-16y8plz"&&(te.textContent=Rt),et=s(e),g(ie.$$.fragment,e),tt=s(e),le=o(e,"P",{"data-svelte-h":!0}),r(le)!=="svelte-1wkndq8"&&(le.innerHTML=Nt),it=s(e),g(ne.$$.fragment,e),lt=s(e),se=o(e,"P",{"data-svelte-h":!0}),r(se)!=="svelte-k823yx"&&(se.textContent=At),nt=s(e),ae=o(e,"P",{"data-svelte-h":!0}),r(ae)!=="svelte-dwlaxn"&&(ae.innerHTML=Xt),st=s(e),g(oe.$$.fragment,e),at=s(e),re=o(e,"P",{"data-svelte-h":!0}),r(re)!=="svelte-155akwu"&&(re.innerHTML=Dt),ot=s(e),g(ue.$$.fragment,e),rt=s(e),ge=o(e,"P",{"data-svelte-h":!0}),r(ge)!=="svelte-z9ipj4"&&(ge.innerHTML=Et),ut=s(e),g(fe.$$.fragment,e),gt=s(e),pe=o(e,"P",{"data-svelte-h":!0}),r(pe)!=="svelte-1xl5niv"&&(pe.innerHTML=Qt),ft=s(e),g(ce.$$.fragment,e),pt=s(e),me=o(e,"P",{"data-svelte-h":!0}),r(me)!=="svelte-1jhxrbp"&&(me.innerHTML=Ot),ct=s(e),H=o(e,"DIV",{class:!0,"data-svelte-h":!0}),r(H)!=="svelte-1vobd2z"&&(H.innerHTML=Kt),mt=s(e),g(x.$$.fragment,e),ht=s(e),g(he.$$.fragment,e),dt=s(e),de=o(e,"P",{"data-svelte-h":!0}),r(de)!=="svelte-5ygnhh"&&(de.innerHTML=ei),yt=s(e),L=o(e,"DIV",{class:!0,"data-svelte-h":!0}),r(L)!=="svelte-19wszbb"&&(L.innerHTML=ti),wt=s(e),ye=o(e,"P",{"data-svelte-h":!0}),r(ye)!=="svelte-1ww1ljh"&&(ye.textContent=ii),$t=s(e),C=o(e,"DIV",{class:!0,"data-svelte-h":!0}),r(C)!=="svelte-cdui6d"&&(C.innerHTML=li),vt=s(e),g(we.$$.fragment,e),bt=s(e),be=o(e,"P",{}),Mt(be).forEach(i),this.h()},h(){d(h,"name","hf:doc:metadata"),d(h,"content",yi),d(y,"width","560"),d(y,"height","315"),ai(y.src,Ct="https://www.youtube-nocookie.com/embed/rkCly_cbMBk")||d(y,"src",Ct),d(y,"title","Managing a repo"),d(y,"frameborder","0"),d(y,"allow","accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"),y.allowFullscreen="",d(v,"class","flex justify-center"),d(b,"start","2"),d(T,"class","flex justify-center"),d(M,"class","flex justify-center"),d(k,"class","flex justify-center"),d(_,"class","flex justify-center"),d(H,"class","flex justify-center"),d(L,"class","flex justify-center"),d(C,"class","flex justify-center")},m(e,t){pi(document.head,h),l(e,I,t),l(e,w,t),l(e,$e,t),f(U,e,t),l(e,Me,t),l(e,P,t),l(e,ke,t),f(j,e,t),l(e,_e,t),l(e,Z,t),l(e,He,t),l(e,S,t),l(e,xe,t),l(e,J,t),l(e,Le,t),f(W,e,t),l(e,Ce,t),l(e,z,t),l(e,Ie,t),l(e,y,t),l(e,Ue,t),f(G,e,t),l(e,Pe,t),l(e,Y,t),l(e,je,t),l(e,q,t),l(e,Ze,t),l(e,v,t),l(e,Se,t),l(e,b,t),l(e,Je,t),l(e,F,t),l(e,We,t),l(e,T,t),l(e,ze,t),l(e,V,t),l(e,Ge,t),f(B,e,t),l(e,Ye,t),l(e,R,t),l(e,qe,t),l(e,M,t),l(e,Fe,t),f(N,e,t),l(e,Ve,t),l(e,A,t),l(e,Be,t),l(e,k,t),l(e,Re,t),f(X,e,t),l(e,Ne,t),l(e,D,t),l(e,Ae,t),l(e,_,t),l(e,Xe,t),l(e,E,t),l(e,De,t),f(Q,e,t),l(e,Ee,t),f(O,e,t),l(e,Qe,t),l(e,K,t),l(e,Oe,t),f(ee,e,t),l(e,Ke,t),l(e,te,t),l(e,et,t),f(ie,e,t),l(e,tt,t),l(e,le,t),l(e,it,t),f(ne,e,t),l(e,lt,t),l(e,se,t),l(e,nt,t),l(e,ae,t),l(e,st,t),f(oe,e,t),l(e,at,t),l(e,re,t),l(e,ot,t),f(ue,e,t),l(e,rt,t),l(e,ge,t),l(e,ut,t),f(fe,e,t),l(e,gt,t),l(e,pe,t),l(e,ft,t),f(ce,e,t),l(e,pt,t),l(e,me,t),l(e,ct,t),l(e,H,t),l(e,mt,t),f(x,e,t),l(e,ht,t),f(he,e,t),l(e,dt,t),l(e,de,t),l(e,yt,t),l(e,L,t),l(e,wt,t),l(e,ye,t),l(e,$t,t),l(e,C,t),l(e,vt,t),f(we,e,t),l(e,bt,t),l(e,be,t),Tt=!0},p(e,[t]){const ni={};t&2&&(ni.$$scope={dirty:t,ctx:e}),x.$set(ni)},i(e){Tt||(p(U.$$.fragment,e),p(j.$$.fragment,e),p(W.$$.fragment,e),p(G.$$.fragment,e),p(B.$$.fragment,e),p(N.$$.fragment,e),p(X.$$.fragment,e),p(Q.$$.fragment,e),p(O.$$.fragment,e),p(ee.$$.fragment,e),p(ie.$$.fragment,e),p(ne.$$.fragment,e),p(oe.$$.fragment,e),p(ue.$$.fragment,e),p(fe.$$.fragment,e),p(ce.$$.fragment,e),p(x.$$.fragment,e),p(he.$$.fragment,e),p(we.$$.fragment,e),Tt=!0)},o(e){c(U.$$.fragment,e),c(j.$$.fragment,e),c(W.$$.fragment,e),c(G.$$.fragment,e),c(B.$$.fragment,e),c(N.$$.fragment,e),c(X.$$.fragment,e),c(Q.$$.fragment,e),c(O.$$.fragment,e),c(ee.$$.fragment,e),c(ie.$$.fragment,e),c(ne.$$.fragment,e),c(oe.$$.fragment,e),c(ue.$$.fragment,e),c(fe.$$.fragment,e),c(ce.$$.fragment,e),c(x.$$.fragment,e),c(he.$$.fragment,e),c(we.$$.fragment,e),Tt=!1},d(e){e&&(i(I),i(w),i($e),i(Me),i(P),i(ke),i(_e),i(Z),i(He),i(S),i(xe),i(J),i(Le),i(Ce),i(z),i(Ie),i(y),i(Ue),i(Pe),i(Y),i(je),i(q),i(Ze),i(v),i(Se),i(b),i(Je),i(F),i(We),i(T),i(ze),i(V),i(Ge),i(Ye),i(R),i(qe),i(M),i(Fe),i(Ve),i(A),i(Be),i(k),i(Re),i(Ne),i(D),i(Ae),i(_),i(Xe),i(E),i(De),i(Ee),i(Qe),i(K),i(Oe),i(Ke),i(te),i(et),i(tt),i(le),i(it),i(lt),i(se),i(nt),i(ae),i(st),i(at),i(re),i(ot),i(rt),i(ge),i(ut),i(gt),i(pe),i(ft),i(pt),i(me),i(ct),i(H),i(mt),i(ht),i(dt),i(de),i(yt),i(L),i(wt),i(ye),i($t),i(C),i(vt),i(bt),i(be)),i(h),m(U,e),m(j,e),m(W,e),m(G,e),m(B,e),m(N,e),m(X,e),m(Q,e),m(O,e),m(ee,e),m(ie,e),m(ne,e),m(oe,e),m(ue,e),m(fe,e),m(ce,e),m(x,e),m(he,e),m(we,e)}}}const yi='{"title":"Getting Started with Repositories","local":"getting-started-with-repositories","sections":[{"title":"Requirements","local":"requirements","sections":[],"depth":2},{"title":"Creating a repository","local":"creating-a-repository","sections":[],"depth":2},{"title":"Adding files to a repository (Web UI)","local":"adding-files-to-a-repository-web-ui","sections":[{"title":"Creating a new file","local":"creating-a-new-file","sections":[],"depth":3},{"title":"Uploading a file","local":"uploading-a-file","sections":[],"depth":3}],"depth":2},{"title":"Adding files to a repository (terminal)","local":"terminal","sections":[{"title":"Cloning repositories","local":"cloning-repositories","sections":[],"depth":3},{"title":"Set up","local":"set-up","sections":[],"depth":3},{"title":"Pushing files","local":"pushing-files","sections":[],"depth":3}],"depth":2},{"title":"Viewing a repo’s history","local":"viewing-a-repos-history","sections":[],"depth":2}],"depth":1}';function wi(Te){return oi(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ki extends ui{constructor(h){super(),gi(this,h,wi,di,si,{})}}export{ki as component};
